Rysunek Roboczy: Kreskowanie

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Hatch and the translation is 100% complete.
Other languages:
English • ‎français • ‎polski

Draft Hatch.svg Rysunek Roboczy: Kreskowanie

Lokalizacja w menu
Kreślenie → Kreskowanie
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
H A
Wprowadzono w wersji
0.20
Zobacz także
Wypełnienie

Opis

Polecenie Draft Hatch.svg Kreskowanie środowiska Rysunek Roboczy tworzy kreskowanie na powierzchniach planarnych wybranego obiektu.

Użycie

  1. Wybierz obiekt z powierzchniami. Tylko planarne powierzchnie obiektu zostaną zakreskowane.
  2. Istnieje kilka sposobów, aby wywołać to polecenie:
    • Naciśnij przycisk Draft Hatch.svg Kreskowanie.
    • Wybierz z menu opcję Kreślenie → Draft Hatch.svg Kreskowanie.
    • Użyj skrótu klawiaturowego: H, a następnie A.
  3. Otworzy się panel zadań Kreskowanie. Zobacz Opcje, aby uzyskać więcej informacji.
  4. Naciśnij przycisk OK, aby zakończyć polecenie.

Opcje

  • Naciśnij przycisk ..., aby wybrać plik PAT z wzorem. Zobacz Uwagi.
  • Wybierz Wzór z pliku. Obecnie zaleca się unikanie wzorów z przerywanymi liniami.
  • Określ Skalę dla wzoru.
  • Określ Obrót dla wzoru.
  • Naciśnij klawisz Esc lub przycisk Anuluj, aby przerwać polecenie.

Wyrównanie wzoru

Gdy obliczany jest wzór kreskowania dla ściany, domyślnie jest on tymczasowo odwzorowany na globalną płaszczyznę XY. Dla powierzchni z prostymi krawędziami pierwsza prosta krawędź określa, jak to będzie realizowane. Pierwszy punkt tej krawędzi jest umieszczany na początku, a sama krawędź jest wyrównywana do osi X. Jeśli utworzysz linię łamaną z myślą o tym, możesz kontrolować, w jaki sposób wzór kreskowania jest wyrównany do konturu ściany

Jeśli wszystkie powierzchnie wybranego obiektu znajdują się na globalnej płaszczyźnie XY, można wyłączyć to domyślne zachowanie, ustawiając właściwość DANETranslate kreskowania projektu na wartość FAŁSZ. Wzór kreskowania jest wtedy wyrównany do położenia odniesienia i osi X globalnego układu współrzędnych. W przypadku powierzchni na płaszczyźnie XY o prostych krawędziach właściwość DANETranslate może być użyta do przełączania między wzorcami bezwzględnymi (po lewej na obrazku) i względnymi (po prawej na obrazku).

Draft Hatch alignment.png

Dwie zakreskowane figury z linii łamanych.
. Figury zostały narysowane w kierunku przeciwnym do ruchu wskazówek zegara, zaczynając od lewego dolnego punktu.
Dla szkicu kreskowania po lewej stronie właściwość Translate jest ustawiona na wartość Fałsz.
Dla szkicu kreskowania po prawej stronie jest ona ustawiona na wartość Prawda.

Uwagi

  • Na razie radzimy pobrać plik PAT. Wiele z nich można znaleźć w Internecie. Można na przykład wyszukać w sieci acad.pat lub acadiso.pat.
  • Mały plik PAT jest instalowany z programem FreeCAD: <program_folder>/data/Mod/TechDraw/PAT/FCPAT.pat, gdzie <program_folder> jest folderem instalacyjnym programu FreeCAD:
    • W systemie Linux jest to zazwyczaj /usr/share/freecad.
    • W systemie Windows jest to zazwyczaj C:\Program Files\FreeCAD.
    • W systemie macOS jest to zazwyczaj /Applications/FreeCAD.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Preferencje środowiska Rysunek Roboczy.

Zastosowanie mają następujące preferencje:

  • Plik PAT: Przybory → Edycja parametrów → BaseApp → Preferences → Mod → TechDraw → PAT → FilePattern.
  • Wzór: Przybory → Edycja parametrów → BaseApp → Preferences → Mod → TechDraw → PAT → NamePattern.
  • Skala: Przybory → Edycja parametrów → BaseApp → Preferences → Mod → Draft → HatchPatternScale.
  • Obrót: Przybory → Edycja parametrów → BaseApp → Preferences → Mod → Draft → HatchPatternRotation.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Kreskowanie wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Kreskowanie

  • DANEPodstawowe (Link): określa obiekt, którego ściany zostaną zakreskowane.
  • DANEPlik (Plik): określa plik wzoru PAT.
  • DANEWzór (Ciąg znaków): określa nazwę wzoru.
  • DANEObrót (Kąt): określa obrót wzoru.
  • DANESkala (Float): określa skalę wzoru.
  • DANEPrzesunięcie (Bool): określa, czy podczas procesu kreskowania powierzchnie są tymczasowo przeliczane na globalną płaszczyznę XY. Ustawienie tej wartości na FAŁSZ może dać błędne wyniki dla powierzchni innych niż XY.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć kreskowanie, użyj metody make_hatch modułu Rysunek Roboczy.

hatch = make_hatch(baseobject, filename, pattern, scale, rotation)

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(4000, 1000)
rectangle.MakeFace = True
filename = App.getHomePath() + "data/Mod/TechDraw/PAT/FCPAT.pat"
pattern = "Horizontal5"
hatch = Draft.make_hatch(rectangle, filename, pattern, scale=50, rotation=45)

doc.recompute()